<?php
/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008-2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
require_once 'SearchContext.php';

session_start();
$searchString = $_REQUEST["searchString"]; 
$action = $_REQUEST["action"];
$hitsPerPage = $_REQUEST["hitsPerPage"];

if (isset($searchString)&&isset($hitsPerPage))
{	
	$dispatcher = 'http://'.$_SERVER['SERVER_NAME'].':'.$_SERVER["SERVER_PORT"].$_SERVER['PHP_SELF']; 
	$context = new SearchContext($dispatcher, $searchString, $hitsPerPage);
	$_SESSION["searchcontext"] =$context;
	 
	echo $context->getNextPage();
}
else if (session_is_registered("searchcontext")&&isset($action))
{
	$context = $_SESSION["searchcontext"];
	if ($action == "next")
	{
		echo $context->getNextPage();
	}
	else if ($action == "prev")
	{
		echo $context->getPrevPage();
	}
}

?>