<?xml version="1.0" encoding="UTF-8"?>
<!-- 
    Copyright (c) 2005, 2007 IBM Corporation and others.
    All rights reserved. This program and the accompanying materials
    are made available under the terms of the Eclipse Public License v1.0
    which accompanies this distribution, and is available at
    http://www.eclipse.org/legal/epl-v10.html
    Contributors:
    IBM Corporation - initial implementation
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:param name="nextActionText"/>
<xsl:param name="previousActionText"/>
<xsl:param name="SearchFailed"/>
<xsl:output method="text" version="1.0" encoding="UTF-8" 
	doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" 
	doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" 
	indent="yes"/><xsl:template match="/PHPSearchOption"><![CDATA[<?php
/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008-2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
 class SearchSettings{
	const ZEND_PATH = ']]><xsl:value-of select="@zendPath"/><![CDATA[';
	const PREVIOUS_ACTION_TEXT = ']]><xsl:value-of select="$nextActionText"/><![CDATA[';
	const NEXT_ACTION_TEXT = ']]><xsl:value-of select="$previousActionText"/><![CDATA[';
	const SEARCH_FAILED = ']]><xsl:value-of select="$SearchFailed"/><![CDATA[';
}
 ?>]]></xsl:template></xsl:stylesheet>
